This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | XML
Name | ### getInt()
Examples |
    // The following short XML file called "mammals.xml" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // <?xml version="1.0"?>
    // <mammals>
    //   <animal id="0" species="Capra hircus">Goat</animal>
    //   <animal id="1" species="Panthera pardus">Leopard</animal>
    //   <animal id="2" species="Equus zebra">Zebra</animal>
    // </mammals>

    XML xml;

    void setup() {
      xml = loadXML("mammals.xml");
      XML firstChild = xml.getChild("animal");
      println(firstChild.getInt("id"));
    }

    // Sketch prints:
    // 0
Description | Returns an attribute value of the element as an int. If the defaultValue parameter is specified and the attribute doesn't exist, then defaultValue is returned. If no defaultValue is specified and the attribute doesn't exist, the value 0 is returned.
Syntax |
    .getInt(name)
    .getInt(name, defaultValue)
Parameters |
name | String: the non-null full name of the attribute
defaultValue | int: the default value of the attribute
Returns | int

Updated on October 26, 2013 08:58:34pm PDT